Search Issue Tracker

Fixed in Unity 2017.1

Votes

2

Found in

5.6.0f3

Issue ID

899198

Regression

Yes

ScriptUpdater.exe crashes if user scripts contains methods with "unsafe pointers"

Scripting

-

-

Priority: 2Necessary for shipping a final release

-

Severity: 3Workaround is possible

Reproduction steps:
1. Open project attached (pianista-2.x-5.6.x.zip)
2. Inspect console.

Expected result: APIUpdater will run fine there will be no errors about it.
Actual result: Error "APIUpdater encountered some issues and was not able to finish." appear,

Reproduced on: 5.6.0p1, 2017.1.0b1.
Works fine on: 5.5.3p1.
Regression introduced in 5.6.0b6.

------------------------------------------------------------

Fixed in: 5.6.0p4, 2017.1.0b3

All about bugs

View bugs we have successfully reproduced, and vote for the bugs you want to see fixed most urgently.